@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap');

* {
  box-sizing: border-box;
}

html {
  color: #fff;
  font-family: 'Lato', sans-serif;
}

body {
  min-height: 100vh;
  margin: 0;
}

main {
  max-width: 1200px;
  width: 100%;
  margin: 0 auto 50px;
}

nav {
  background-color: #2696e8;
  margin: 40px 0;
  border: 1px solid #113c89;
}

ul {
  margin: 0;
  padding: 0;
  display: flex;
  list-style: none;
}

a {
  display: flex;
  padding: 25px 15px;
  text-align: center;
  color: #fff;
  text-decoration: none;
}

a:hover {
  color: #2696e8;
  background-color: #fff;
}

.row-reverse {
  flex-direction: row-reverse;
}

.jc-center {
  justify-content: center;
}

.jc-sb {
  justify-content: space-between;
}

.jc-fe {
  justify-content: flex-end;
}

.ai-center {
  align-items: center;
}

.fw-wrap {
  flex-wrap: wrap;
}

.w300 {
  width: 300px;
}

.fd-column {
  flex-direction: column;
}

.flex-container {
  display: flex;
  flex-wrap: wrap;
}

.flex-item {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 70px;
  height: 70px;
  background-color: orangered;
  border: 2px solid white;
}

@media (max-width: 1024px) {
  .tablet {
    flex-wrap: wrap;
    justify-content: center;
  }

  .tablet li {
    padding: 0 40px;
  }
}

.wrapper {
  display: flex;
  flex-flow: row wrap;
  font-weight: bold;
  text-align: center;
}

.wrapper > * {
  flex: 1 100%;
  padding: 20px 40px;
}

header {
  background: tomato;
}

.footer {
  background: lightgreen;
}

.main {
  flex: 3;
  text-align: left;
  background: deepskyblue;
}

.aside {
  flex-basis: 0;
}

.aside-1 {
  background: gold;
}

.aside-2 {
  background: hotpink;
}

@media (max-width: 500px) {
  .media-nav {
    flex-direction: column;
  }

  aside  {
    order: 1;
  }

  footer {
    order: 2;
  }
}
